Skip to main content
GET
/
orgs
/
{orgId}
/
anomaly-rules
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/anomaly-rules \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "name": "<string>",
      "threshold": 123,
      "cooldownMinutes": 123,
      "enabled": true,
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Query Parameters

metric
enum<string>

Filter by metric

Available options:
email_send_rate,
sms_send_rate,
vault_access_rate,
api_call_rate,
unique_recipients
enabled
boolean

Filter by enabled status

cursor
string

Pagination cursor

limit
integer
default:20

Maximum number of rules to return

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of anomaly rules

items
object[]
required

List of anomaly rules

nextCursor
string | null
required

Cursor for the next page, null if no more results